Subject: [alpine-aports] [PATCH 1/2] testing/glock: new aport

From: Christian Kampka <[email-masked]>
Date: Fri, 7 Aug 2015 00:03:55 +0200

https://github.com/robfig/glock

Glock is a command-line tool to lock dependencies to specific revisions,
using a version control hook to keep those revisions in sync across a team.
---
 testing/glock/APKBUILD | 69 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)
 create mode 100644 testing/glock/APKBUILD

diff --git a/testing/glock/APKBUILD b/testing/glock/APKBUILD
new file mode 100644
index 0000000..e1eeb6b
--- /dev/null
+++ b/testing/glock/APKBUILD
@@ -0,0 +1,69 @@
+# Maintainer: Chritsian Kampka <christian at kampka dot net>
+pkgname=glock
+pkgver=0.0.20150806
+pkgrel=0
+pkgdesc="A command-line tool to lock dependencies to specific revisions"
+url="https://github.com/robfig/glock/"
+arch="x86_64"
+license="MIT"
+makedepends="git go"
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_giturl="git://github.com/robfig/${pkgname}.git"
+_disturl="dev.alpinelinux.org:/archive/$pkgname/"
+_commit="cb3c3ec56de988289cab7bbd284eddc04dfee6c9"
+
+snapshot() {
+	local _date=$(date +%Y%m%d)
+	local _ver=0.0.$_date
+	local _pkg=$pkgname-$_ver.tar.gz
+
+	abuild clean
+	abuild deps
+	abuild fetch
+
+	mkdir -p "$srcdir"
+	cd "$srcdir"
+	msg "Creating snapshot: $_pkg"
+	export GOPATH="${srcdir}/$pkgname"
+	git clone -q ${_giturl} || return 1
+	cd $pkgname
+	git checkout ${_commit} || return 1
+	go get -v -d || return 1
+	cd $srcdir
+	tar zcf $pkgname-$pkgver.tar.gz $pkgname || return 1
+	rsync --progress -La $pkgname-${_ver}.tar.gz \
+		$_disturl || return 1
+	cd $startdir
+	sed -i -e "s/^pkgver=.*/pkgver=$_ver/" APKBUILD || return 1
+	abuild checksum
+	abuild undeps
+}
+
+_builddir="${srcdir}/${pkgname}"
+
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export GOPATH="$_builddir"
+	go build
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm755 ${_builddir}/glock \
+	"$pkgdir"/usr/bin/glock
+}
+md5sums="a8b3524a646d73c56026d849f90f8f73  glock-0.0.20150806.tar.gz"
+sha256sums="a71ed55108b93831c3a42e607e50573957963b9f195ed8412206307b582f44a2  glock-0.0.20150806.tar.gz"
+sha512sums="3726f1c271a39e9e24e808793ea9e7d549c1f32a9840176045d027ef6cf6c36d86ff4a9cad2e10477746e39a0fbc92d7a0fbd10a23c2d6219a5fd8a07b7e671e  glock-0.0.20150806.tar.gz"
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Christian Kampka <[email-masked]>
Date: Fri, 7 Aug 2015 00:03:56 +0200

https://github.com/jwilder/dockerize
Utility to simplify running applications in docker containers.
---
 testing/dockerize/APKBUILD | 64 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)
 create mode 100644 testing/dockerize/APKBUILD

diff --git a/testing/dockerize/APKBUILD b/testing/dockerize/APKBUILD
new file mode 100644
index 0000000..20b5d50
--- /dev/null
+++ b/testing/dockerize/APKBUILD
@@ -0,0 +1,64 @@
+# Maintainer: Chritsian Kampka <christian at kampka dot net>
+pkgname=dockerize
+pkgver=0.0.2
+pkgrel=0
+pkgdesc="Utility to simplify running applications in docker containers."
+url="https://github.com/jwilder/dockerize"
+arch="x86_64"
+license="MIT"
+makedepends="git go glock"
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_giturl="git://github.com/jwilder/${pkgname}.git"
+_disturl="dev.alpinelinux.org:/archive/$pkgname/"
+
+
+snapshot() {
+	abuild clean
+	abuild deps
+	abuild fetch
+
+	mkdir -p "$srcdir"
+	cd "$srcdir"
+	msg "Creating snapshot: $_pkg"
+	export GOPATH="${srcdir}/$pkgname"
+	git clone -q ${_giturl} ${pkgname}|| return 1
+	cd $pkgname
+	git checkout v${pkgver} || return 1
+	glock sync ../ || return 1
+	cd $srcdir
+	tar zcf $pkgname-$pkgver.tar.gz $pkgname || return 1
+	rsync --progress -La $pkgname-${pkgver}.tar.gz \
+		$_disturl || return 1
+	cd $startdir
+	abuild checksum
+	abuild undeps
+}
+
+_builddir="${srcdir}/${pkgname}"
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export GOPATH="$_builddir"
+	make dist
+}
+
+package() {
+	cd "$_builddir"
+	GOARCH=$(go env | grep GOARCH | cut -d'=' -f 2 | xargs echo -n)
+	install -Dm755 ${_builddir}/dist/linux/$GOARCH/dockerize \
+	"$pkgdir"/usr/bin/dockerize
+}
+md5sums="8935e6c06d6f0d6051dcf1db384a523f  dockerize-0.0.2.tar.gz"
+sha256sums="fee5a1fa8562769f016cf27a4eed04211d00721b289b5d2ce062fcb2e6c51d8a  dockerize-0.0.2.tar.gz"
+sha512sums="ca513817c904024202c2ca384da27a2458bce60d7c3223fd1f5800ddd5062dba24115dadd9f133c7ebb3caa3033ff80c87229002aec6a570618db83b8070f13d  dockerize-0.0.2.tar.gz"
-- 
2.5.0

---